package com.muyu.system.forest.gaode.api;

import com.dtflys.forest.annotation.BaseRequest;
import com.dtflys.forest.annotation.Get;
import com.dtflys.forest.annotation.Var;
import com.muyu.system.forest.gaode.interceptor.GaoDeInterceptor;

/**
 * @author DongZl
 * @description: 高德地图接口
 * @Date 2024/4/11 上午10:49
 */
@BaseRequest(
        baseURL = "https://restapi.amap.com",
        interceptor = GaoDeInterceptor.class
)
public interface GaoDeBaseApi {

    @Get("/v3/config/district?keywords={keywords}&subdistrict={subDistrict}")
    String district(@Var("keywords") String keywords, @Var("subDistrict") String subDistrict);

    @Get("/v3/weather/weatherInfo?city={city}")
    String weather(@Var("city") String city);
}
